public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Pacho Ramos" <pacho@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: gnome-base/gnome-session/, gnome-base/gnome-session/files/
Date: Thu,  1 Aug 2024 08:34:51 +0000 (UTC)	[thread overview]
Message-ID: <1722501281.47aae21c1beeef930aa7e2125d93e52bf237d2b9.pacho@gentoo> (raw)

commit:     47aae21c1beeef930aa7e2125d93e52bf237d2b9
Author:     Guillermo Joandet <gjoandet <AT> gmail <DOT> com>
AuthorDate: Thu Jan 11 12:13:44 2024 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Thu Aug  1 08:34:41 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=47aae21c

gnome-base/gnome-session: Bump to 46.0

Signed-off-by: Guillermo Joandet <gjoandet <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/34748
Signed-off-by: Pacho Ramos <pacho <AT> gentoo.org>

 gnome-base/gnome-session/Manifest                  |   1 +
 .../gnome-session-46.0-meson-Support-elogind.patch |  18 ++++
 gnome-base/gnome-session/gnome-session-46.0.ebuild | 119 +++++++++++++++++++++
 3 files changed, 138 insertions(+)

diff --git a/gnome-base/gnome-session/Manifest b/gnome-base/gnome-session/Manifest
index a21e381f049d..6614af35e8df 100644
--- a/gnome-base/gnome-session/Manifest
+++ b/gnome-base/gnome-session/Manifest
@@ -1 +1,2 @@
 DIST gnome-session-45.0.tar.xz 485992 BLAKE2B 473f0b3d94ffa8c1e2bf45884d053c753e5d5ad791b7cd9f889ce7952a273c4631c9867f038edaa6fe8e6ce16b9659c479755ce8028076016a658ad23291eeb7 SHA512 3eb3b4b9fcab2ec35bb61bac6257b254f142167250bbc1eb71d46aed350372f8942601c9d5ca5856e8686b53b70321f914cb55f1639daecfe6c61d84cb6d8aba
+DIST gnome-session-46.0.tar.xz 484368 BLAKE2B 9519530abd84957df9b936706647f1b60ed660efa095602ad67e5f84a5047653ed711a73eaa272424c06c8080a46c86aebf9e3fa5bda8c9b09f291b2ca6bda20 SHA512 2187b8ae4ac4ec728283c5dc03edba6472864a704f6c6cd7a3e962515a3925d3a8438f7f89855dd082d2c013868da81e16da280c70b0e07537c8e431301b4bd8

diff --git a/gnome-base/gnome-session/files/gnome-session-46.0-meson-Support-elogind.patch b/gnome-base/gnome-session/files/gnome-session-46.0-meson-Support-elogind.patch
new file mode 100644
index 000000000000..ac96d521b8f4
--- /dev/null
+++ b/gnome-base/gnome-session/files/gnome-session-46.0-meson-Support-elogind.patch
@@ -0,0 +1,18 @@
+--- a/meson.build	2024-07-29 16:43:01.812864903 +0200
++++ b/meson.build	2024-07-29 16:54:16.654741387 +0200
+@@ -113,8 +113,13 @@
+                                                  pkgconfig_define: ['prefix', session_prefix])
+ endif
+ 
+-libsystemd_dep = dependency('libsystemd', version: '>= 209', required: true)
+-session_bin_deps += libsystemd_dep
++libsystemd_dep = dependency('libsystemd', version: '>= 209', required: false)
++if libsystemd_dep.found()
++  session_bin_deps += libsystemd_dep
++else
++  elogind_dep = dependency('libelogind', version: '>=209', required: true)
++  session_bin_deps += elogind_dep
++endif
+ 
+ configure_file(
+   output: 'config.h',

diff --git a/gnome-base/gnome-session/gnome-session-46.0.ebuild b/gnome-base/gnome-session/gnome-session-46.0.ebuild
new file mode 100644
index 000000000000..d178a939e800
--- /dev/null
+++ b/gnome-base/gnome-session/gnome-session-46.0.ebuild
@@ -0,0 +1,119 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+inherit desktop gnome.org gnome2-utils meson systemd xdg
+
+DESCRIPTION="Gnome session manager"
+HOMEPAGE="https://gitlab.gnome.org/GNOME/gnome-session"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc elogind systemd"
+
+REQUIRED_USE="^^ ( elogind systemd )"
+
+COMMON_DEPEND="
+	>=dev-libs/glib-2.46.0:2
+	>=x11-libs/gtk+-3.22.0:3
+	x11-libs/libICE
+	x11-libs/libSM
+	x11-libs/libX11
+	>=gnome-base/gnome-desktop-3.34.2:3=
+	>=dev-libs/json-glib-0.10
+	media-libs/libglvnd[X]
+	media-libs/libepoxy
+	x11-libs/libXcomposite
+	systemd? ( >=sys-apps/systemd-242:0= )
+	elogind? ( >=sys-auth/elogind-239.4 )
+"
+
+# Pure-runtime deps from the session files should *NOT* be added here.
+# >=gnome-settings-daemon-3.35.91 for UsbProtection required component.
+# x11-misc/xdg-user-dirs{,-gtk} are needed to create the various XDG_*_DIRs, and
+# create .config/user-dirs.dirs which is read by glib to get G_USER_DIRECTORY_*
+# xdg-user-dirs-update is run during login (see 10-user-dirs-update-gnome below).
+# sys-apps/dbus[X] is needed for session management.
+# Our 90-xcursor-theme-gnome reads a setting from gsettings-desktop-schemas.
+RDEPEND="${COMMON_DEPEND}
+	>=gnome-base/gnome-settings-daemon-3.35.91
+	>=gnome-base/gsettings-desktop-schemas-0.1.7
+	sys-apps/dbus[elogind=,systemd=,X]
+
+	x11-misc/xdg-user-dirs
+	x11-misc/xdg-user-dirs-gtk
+"
+DEPEND="${COMMON_DEPEND}
+	x11-libs/xtrans
+"
+BDEPEND="
+	dev-libs/libxslt
+	dev-util/gdbus-codegen
+	>=sys-devel/gettext-0.19.8
+	virtual/pkgconfig
+	doc? (
+		app-text/xmlto
+		app-text/docbook-xml-dtd:4.1.2
+	)
+"
+
+PATCHES=(
+	"${FILESDIR}"/${P}-meson-Support-elogind.patch
+)
+
+src_prepare() {
+	default
+	xdg_environment_reset
+
+	# Install USE=doc in ${PF} if enabled
+	sed -i -e "s:meson\.project_name(), 'dbus':'${PF}', 'dbus':" doc/dbus/meson.build || die
+}
+
+src_configure() {
+	local emesonargs=(
+		-Ddeprecation_flags=false
+		-Dsession_selector=true # gnome-custom-session
+		$(meson_use doc docbook)
+		-Dman=true
+	)
+	use systemd && local emesonargs+=( -Dsystemduserunitdir="$(systemd_get_userunitdir)" )
+	# Set a dummy systemduserunitdir to avoid dependency on systemd
+	use elogind && local emesonargs+=( -Dsystemduserunitdir="${T}" )
+	meson_src_configure
+}
+
+src_install() {
+	meson_src_install
+
+	exeinto /etc/X11/Sessions
+	doexe "${FILESDIR}/Gnome"
+
+	newmenu "${FILESDIR}/defaults.list-r6" gnome-mimeapps.list
+
+	exeinto /etc/X11/xinit/xinitrc.d/
+	newexe "${FILESDIR}/15-xdg-data-gnome-r1" 15-xdg-data-gnome
+
+	# This should be done here as discussed in bug #270852
+	newexe "${FILESDIR}/10-user-dirs-update-gnome-r1" 10-user-dirs-update-gnome
+
+	# Set XCURSOR_THEME from current dconf setting instead of installing
+	# default cursor symlink globally and affecting other DEs (bug #543488)
+	# https://bugzilla.gnome.org/show_bug.cgi?id=711703
+	newexe "${FILESDIR}/90-xcursor-theme-gnome" 90-xcursor-theme-gnome
+}
+
+pkg_postinst() {
+	xdg_pkg_postinst
+	gnome2_schemas_update
+
+	if ! has_version gnome-base/gdm && ! has_version x11-misc/sddm; then
+		ewarn "If you use a custom .xinitrc for your X session,"
+		ewarn "make sure that the commands in the xinitrc.d scripts are run."
+	fi
+}
+
+pkg_postrm() {
+	xdg_pkg_postinst
+	gnome2_schemas_update
+}


             reply	other threads:[~2024-08-01  8:34 UTC|newest]

Thread overview: 6+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-08-01  8:34 Pacho Ramos [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-12-26 21:43 [gentoo-commits] repo/gentoo:master commit in: gnome-base/gnome-session/, gnome-base/gnome-session/files/ Mart Raudsepp
2021-03-28  8:53 Pacho Ramos
2019-05-18 20:46 Mart Raudsepp
2019-03-19  9:54 Mart Raudsepp
2019-03-02  9:25 Mart Raudsepp

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1722501281.47aae21c1beeef930aa7e2125d93e52bf237d2b9.pacho@gentoo \
    --to=pacho@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox